{#<pagetitle>NHS.UK | Add vaccine date</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/p/macro.njk' import p %}

<form action="add-vaccine-details" class="form" method="post" name="addVaccineDetails">
    {{
        input({
            "formGroup": {
                classes: "nhsuk-date-input__item"
            },
            "label": {
                "text": 'add-vaccine-details.input.hidden',
                locale: locale,
                "classes": "nhsuk-u-visually-hidden"
            },
            id: "vaccineCount",
            name: "vaccineCount",
            value: data.Vaccine.VaccinationCount,
            type: "hidden"
        })
    }}
    <div class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}">
        <fieldset class="nhsuk-fieldset" role="group">
            <legend class="nhsuk-fieldset__legend nhsuk-label--l">
                {{
                    heading({
                        subHeading: { text: 'add-vaccine-details.section.heading'},
                        text:  'add-vaccine-details.h1',
                        classes: 'nhsuk-heading-l govuk-heading-l',
                        locale: locale
                    })
                }}
                {{
                    p({
                        "text": 'add-vaccine-details.hint',
                        "classes" : 'nhsuk-hint',
                        locale:locale
                    })
                }}
            </legend>
            {{
             p({
                "text": data.Vaccine.VaccinationType,
                "classes" : 'nhsuk-heading-xs',
                locale:locale
            })
        }}
            {% for error in errors %}
                <span class="nhsuk-error-message" id="vaccine-location-error" style="display: block;">
                    {{ __({phrase: error.msg, locale: error.locale }) }}
                </span>
            {% endfor %}
            {{
            input({
                "formGroup": {
                    classes: "nhsuk-date-input__item"
                },
                "label": {
                    "text": 'add-vaccine-details.input1',
                    locale:locale
                },
                id: "vaccineDay",
                name: "vaccineDay",
                classes: "nhsuk-input--width-2",
                value: data.Vaccine.VaccinationDate | getDigitFromDate('day',  data.body.vaccineDay),
                inputmode: "numeric"
            })
        }}
            {{
            input({
                "formGroup": {
                    classes: "nhsuk-date-input__item"
                },
                "label": {
                    "text": 'add-vaccine-details.input2',
                    locale:locale
                },
                id: "vaccineMonth",
                name: "vaccineMonth",
                classes: "nhsuk-input--width-2",
                value: data.Vaccine.VaccinationDate | getDigitFromDate('month',  data.body.vaccineMonth),
                inputmode: "numeric"
            })
        }}
            {{
            input({
                "formGroup": {
                    classes: "nhsuk-date-input__item"
                },
                "fieldset": {
                    classes: "nhsuk-date-input__item"
                },
                "label": {
                    "text": 'add-vaccine-details.input3',
                    locale:locale
                },
                id: "vaccineYear",
                name: "vaccineYear",
                classes: "nhsuk-input--width-4",
                value: data.Vaccine.VaccinationDate | getDigitFromDate('year', data.body.vaccineYear),
                inputmode: "numeric"
            })
        }}
        </fieldset>
    </div>
    <br/>
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>